Runtime

## org.eclipse.gmf.runtime.diagram.ui.requests
Class ChangePropertyValueRequest

    java.lang.Object
      org.eclipse.gef.Request
          org.eclipse.gmf.runtime.diagram.ui.requests.ChangePropertyValueRequest

Direct Known Subclasses:
  ChangeChildPropertyValueRequest

public class ChangePropertyValueRequest
extends Request

Constructor Summary
`ChangePropertyValueRequest(java.lang.String propertyName, java.lang.String propertyID)` Constructor for ChangePropertyValueRequest
`ChangePropertyValueRequest(java.lang.String propertyName, java.lang.String propertyID, java.lang.Object value)` Constructor for ChangePropertyValueRequest

Method Summary
`java.lang.String` `getPropertyID()` Gets the property ID
`java.lang.String` `getPropertyName()` Gets the property name
`java.lang.Object` `getValue()` Returns the value.
`void` `setValue(java.lang.Object value)` Sets the value.

Methods inherited from class org.eclipse.gef.Request
`getExtendedData, getType, setExtendedData, setType`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ChangePropertyValueRequest

    public ChangePropertyValueRequest(java.lang.String propertyName,
                                      java.lang.String propertyID)

  Constructor for ChangePropertyValueRequest

Parameters:
  `propertyName` - The name of the property
  `propertyID` - String value representing the property ID to change

### ChangePropertyValueRequest

    public ChangePropertyValueRequest(java.lang.String propertyName,
                                      java.lang.String propertyID,
                                      java.lang.Object value)

  Constructor for ChangePropertyValueRequest

Parameters:
  `propertyName` - The name of the property
  `propertyID` - String value representing the property ID to change
  `value` - Object which is to be the new value of the property

Method Detail

### getPropertyName

    public java.lang.String getPropertyName()

  Gets the property name

  Returns:
    the property name

### getPropertyID

    public java.lang.String getPropertyID()

  Gets the property ID

  Returns:
    the property ID

### getValue

    public java.lang.Object getValue()

  Returns the value.

  Returns:
    Object the value

### setValue

    public void setValue(java.lang.Object value)

  Sets the value.

  Parameters:
    `value` - The value to set

Runtime

Guidelines for using Eclipse APIs.

Copyright (c) IBM Corp., Borland Software Corp., and others 2005,2006. All rights reserved.